> ## Documentation Index
> Fetch the complete documentation index at: https://openwearables.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Data Summary

> Returns per-user data counts grouped by series type, event type, and provider.

Optionally scope the counts to a date window via `start_date` / `end_date` (data points are
filtered by `recorded_at`, events by their start time). Omitting both returns all-time counts.



## OpenAPI

````yaml https://api.openwearables.io/openapi.json get /api/v1/users/{user_id}/summaries/data
openapi: 3.1.0
info:
  title: Open Wearables API
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/users/{user_id}/summaries/data:
    get:
      tags:
        - 'External: Summaries'
      summary: Get Data Summary
      description: >-
        Returns per-user data counts grouped by series type, event type, and
        provider.


        Optionally scope the counts to a date window via `start_date` /
        `end_date` (data points are

        filtered by `recorded_at`, events by their start time). Omitting both
        returns all-time counts.
      operationId: get_data_summary_api_v1_users__user_id__summaries_data_get
      parameters:
        - name: user_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: User Id
        - name: start_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                description: >-
                  ISO 8601 datetime (e.g. `2023-11-07T05:31:56Z`) or Unix
                  timestamp in seconds. Date-only strings (e.g. `2023-11-07`)
                  are also accepted and normalized to midnight UTC.
                examples:
                  - '2023-11-07T05:31:56Z'
                  - '2023-11-07'
                format: date-time
              - type: 'null'
            title: Start Date
        - name: end_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                description: >-
                  ISO 8601 datetime (e.g. `2023-11-07T05:31:56Z`) or Unix
                  timestamp in seconds. Date-only strings (e.g. `2023-11-07`)
                  are also accepted and normalized to midnight UTC.
                examples:
                  - '2023-11-07T05:31:56Z'
                  - '2023-11-07'
                format: date-time
              - type: 'null'
            title: End Date
        - name: X-Open-Wearables-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Open-Wearables-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserDataSummaryResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    UserDataSummaryResponse:
      properties:
        user_id:
          type: string
          title: User Id
        total_data_points:
          type: integer
          title: Total Data Points
        total_workouts:
          type: integer
          title: Total Workouts
        total_sleep_events:
          type: integer
          title: Total Sleep Events
        series_type_counts:
          additionalProperties:
            type: integer
          type: object
          title: Series Type Counts
        workout_type_counts:
          additionalProperties:
            type: integer
          type: object
          title: Workout Type Counts
        by_provider:
          items:
            $ref: '#/components/schemas/ProviderDataCount'
          type: array
          title: By Provider
        has_womens_health_data:
          type: boolean
          title: Has Womens Health Data
          default: false
      type: object
      required:
        - user_id
        - total_data_points
        - total_workouts
        - total_sleep_events
        - series_type_counts
        - workout_type_counts
        - by_provider
      title: UserDataSummaryResponse
      description: Per-user data summary with counts by type and provider.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProviderDataCount:
      properties:
        provider:
          type: string
          title: Provider
        data_points:
          type: integer
          title: Data Points
        series_counts:
          additionalProperties:
            type: integer
          type: object
          title: Series Counts
        workout_count:
          type: integer
          title: Workout Count
        sleep_count:
          type: integer
          title: Sleep Count
      type: object
      required:
        - provider
        - data_points
        - series_counts
        - workout_count
        - sleep_count
      title: ProviderDataCount
      description: Data counts for a single provider.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /api/v1/auth/login

````